# #####################################################################################
#
# Procedure to create a fiber Square Section
#
# Dimitrios G. Lignos, PhD
# McGill University, Quebec, Canada
#
# Date: 02/04/2011
# Revised: 02/14/2011
#
# #####################################################################################

proc SquareSsection { secID matID d t nft nfd} {
	# ###################################################################
	# Square section  $secID $matID $d $t $nft $nfd $nftd 
	# ###################################################################
	# input parameters
	# secID - section ID number
	# matID - material ID number 
	# d  = depth y-direction
	# t  = depth z-direction
	# nfdt = number of fibers along dt 
	# nfd = number of fibers along depth
 	
	set dt [expr $t]
	set td [expr $d]
	set y1 [expr -$d/2]
	set y4 [expr  $d/2]
  
	set z1 [expr -$d/2]
	set z4 [expr  $d/2]
  
	section fiberSec  $secID  {
   		#                   nfIJ  nfJK    yI  zI    yJ  zJ    yK  zK    yL  zL
   		patch quad  $matID  $nft $nfd    $y1 $z1   $y4 $z1   $y4 $z4   $y1 $z4 		
	}
}